<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <artifactId>febs-server-job</artifactId>
    <groupId>com.yida.data.job</groupId>
    <version>2.2-RELEASE</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>

  <artifactId>febs-server-job-biz</artifactId>

  <properties>
    <maven.compiler.source>8</maven.compiler.source>
    <maven.compiler.target>8</maven.compiler.target>
  </properties>

  <dependencies>
    <!--补充包-->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context-support</artifactId>
    </dependency>
    <!--定时任务-->
    <dependency>
      <groupId>org.quartz-scheduler</groupId>
      <artifactId>quartz</artifactId>
    </dependency>
    <dependency>
      <groupId>com.yida.data.school</groupId>
      <artifactId>edu-school-api</artifactId>
      <version>${febs-cloud.version}</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>com.yida.data.device</groupId>
      <artifactId>edu-device-api</artifactId>
      <version>${febs-cloud.version}</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>com.yida.data.attendance</groupId>
      <artifactId>edu-attendance-api</artifactId>
      <version>${febs-cloud.version}</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>com.yida.data.user</groupId>
      <artifactId>edu-user-api</artifactId>
      <version>${febs-cloud.version}</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>com.yida.data.system</groupId>
      <artifactId>febs-server-system-api</artifactId>
      <version>${febs-cloud.version}</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>com.yida.data.customForm</groupId>
      <artifactId>edu-custom-form-api</artifactId>
      <version>2.2-RELEASE</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>com.yida.data.mall.api</groupId>
      <artifactId>edu-mall-api</artifactId>
      <version>${febs-cloud.version}</version>
      <scope>compile</scope>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
        <configuration>
          <outputDirectory>../../../febs-jar</outputDirectory>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>